package com.atguigu.lease.common.exception;

import com.atguigu.lease.common.result.Result;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

@ControllerAdvice
public class GlobalExceptionHandler {

    //切面类： 把增强 应用到 切入点
    //我们现在增强是什么： 异常处理
    //我们现在切入点：出现异常的方法
    //难点：知道哪个方法出现了异常 @ExceptionHandler

    //出现异常执行的方法
    @ExceptionHandler(Exception.class)
    @ResponseBody
    public Result error(Exception e) {
        e.printStackTrace();
        return Result.fail();
    }
    @ExceptionHandler(LeaseException.class)
    @ResponseBody
    public Result error(LeaseException e) {
        e.printStackTrace();
        Integer code = e.getCode();
        String message = e.getMessage();
        return Result.fail(code,message);
    }

}