package com.atguigu.lease.web.admin.service.impl;

import com.atguigu.lease.model.entity.SystemPost;
import com.atguigu.lease.model.entity.SystemUser;
import com.atguigu.lease.web.admin.mapper.SystemUserMapper;
import com.atguigu.lease.web.admin.service.SystemPostService;
import com.atguigu.lease.web.admin.service.SystemUserService;
import com.atguigu.lease.web.admin.vo.system.user.SystemUserItemVo;
import com.atguigu.lease.web.admin.vo.system.user.SystemUserQueryVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author liubo
 * @description 针对表【system_user(员工信息表)】的数据库操作Service实现
 * @createDate 2023-07-24 15:48:00
 */

@Service
public class SystemUserServiceImpl extends ServiceImpl<SystemUserMapper, SystemUser>
        implements SystemUserService {
    @Autowired
    private SystemUserMapper systemUserMapper;
    @Autowired
    private SystemPostService systemPostService;

    @Override
    public IPage<SystemUserItemVo> selectPageSystemUser(Page<SystemUserItemVo> page, SystemUserQueryVo queryVo) {
        IPage<SystemUserItemVo> systemUserItemVoIPage = systemUserMapper.selectPageSystemUser(page, queryVo);
        return systemUserItemVoIPage;
    }

    @Override
    public SystemUserItemVo getUserById(Long id) {
        //根据id查出所有systemUser中的所有数据
        SystemUser systemUser = this.getById(id);
        //把密码设置为null
        systemUser.setPassword(null);
        //根据id查出SystemPost中的数据
        SystemPost systemPostbyId = systemPostService.getById(systemUser.getPostId());
        //new一个返回对象 让里面装值
        SystemUserItemVo systemUserItemVo = new SystemUserItemVo();
        //让systemUserItemVo中的值等于systemUser中的值
        BeanUtils.copyProperties(systemUser, systemUserItemVo);
        //让systemUserItemVo中的值等于systemPostbyId中的值
        systemUserItemVo.setPostName(systemPostbyId.getName());
        return systemUserItemVo;

    }
}




